function [indices] = full_asin_query(filename,n,siz)

qsample = load('queried.sample');
fvs = load([filename '.predict']);

%Normalize fvs to [-pi/2,pi/2]
M = max(fvs(setdiff(1:siz/2, qsample)));
m = min(fvs(setdiff(1:siz/2, qsample)));

if M~=m
	fvs = (fvs - m)./(M-m);
	fvs = (fvs - .5)*pi;
else
	disp('warning: M == m');
	fvs(:) = 0;
end
%samples of y values

%Begin sampling
fvs(qsample) = 1024;
%[sorted_fvs idx] = sort(fvs(1:floor(siz/2)));


for i = [0:n-1]
	tmp = fvs(1:end/2) - asin(-1+2*i/(n-1));
	%tmp(tmp < 0) = 1024;
	tmp = abs(tmp);
	[dummy indices(i+1)] = min(tmp);
	%indices(i) = idx(indices(i));
end

indices = setdiff(indices, qsample);

indices = unique(indices);

%Remove duplicated samples
%indexes = setdiff(sample,qsample);
%legg = length(indexes)

%Write sample
fp = fopen([filename '.sample'],'w');
if length(indices) > 0
	fprintf(fp,'%d\n',indices);
end
fclose(fp);
