#!/usr/bin/python
import sys
import math
def log2(x):
	return math.log(x) / math.log(2)

#Format : "auc nquery" for every line

lines = open(sys.argv[1]).readlines()
aucs = []
queries = []
for line in lines:
	line = line.strip()
	auc,query = line.split(' ')
	aucs.append(float(auc))
	queries.append(float(query)) 

Gauc = 0.0
cur_nquery = 1.0
for i in range(len(lines)-1):
	next_nquery = cur_nquery + queries[i]
	dx = log2(next_nquery) - log2(cur_nquery)
	Gauc += dx*((aucs[i]+aucs[i+1])/2.0 - 0.5)
	cur_nquery = next_nquery

Gauc /= 0.5*(log2(sum(queries)+1))
print Gauc
