function [auc] = count_auc(filename)
predictfile = [filename '.predict'];
correctfile = ['../data/' filename '.correct'];


plabels = load(predictfile);
[labels dummy] = libsvmread(correctfile);
l = length(labels);

%Eliminate known data
qsample = load('queried.sample');
disp('In count_auc:');
size(qsample)
l
remainidxes = setdiff((1:l),qsample);
l = length(remainidxes);
%posbound = sum(labels==1);

for i=1:l
	plabels2(i) = plabels(remainidxes(i));
	labels2(i) = labels(remainidxes(i));
end

[dummy order] = sort(plabels2);

tp = 0;
fp = 0;
roc = 0;
for i = l:-1:1
	if labels2(order(i)) == 1
		tp = tp+1;
	elseif labels2(order(i)) == -1
		roc = roc + tp;
		fp = fp+1;
	end
end

auc = roc / (tp * fp);
